Subject: Ticket Assigned - Hi, I have ordered from centrepoint 21 days ago and i have still not received my items till now...ca...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 09 Jun 2020 07:31:11 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi, I have ordered from centrepoint 21 days ago and i have still not received my items till now...ca... Hi, I have ordered from centrepoint 21 days ago and i have still not received my items till now...calling call center has also been of no use, they just say its been escalated and you will receive your order soon https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1166453